/*
 * *********************************************************************************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain this
 * notice you can do whatever you want with this stuff. If we meet some day,
 * and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 * *********************************************************************************************************************************************
 * si5341.h
 *
 * Version 1.0
 *
 * Created: 01.07.2018
 * Author: Mario Hellmich <mario.hellmich@web.de>
 * Project: HF Receiver Mark 2 Firmware
 *
 * Controls the Si5341 PLL synthesizer for LO1, LO2, and the BFO, via the TWI bus
 */ 


#ifndef SI5341_H_
#define SI5341_H_


// Type Definitions
typedef union
{
	uint32_t i32;
	uint8_t byte[4];
} convert32to8;

typedef union
{
	uint64_t i64;
	uint8_t byte[8];
} convert64to8;


/* Variables */
// none

/* Functions */

extern void si5341_init(void);
extern void freq_init(void);
extern void freq_update(void);



#endif /* SI5341_H_ */